// Website theme/bootstrap
$border-radius: 0;
$border:none;
$theme-colors:(
  "light": #eee2dc  
  );


// import bootstrap scss
@import '../../node_modules/bootstrap/scss/bootstrap';

$light-brown: #eee2dc;
$red: #ac3b61;
$blue: #123c69;
$gray:#bab2b5;

* {
  font-family: cursive;
}

body {
  width: 100%;
  overflow-x: hidden;
  position: relative;
}

// navbar
.navbar {
  .navbar-brand{
    color: $red;
    font-weight: bold;

    &:hover {
      color: $blue;
    }
  }
  .navbar-nav {
    .nav-item.active .nav-link {
      color: $red;
      border-bottom: 2px solid $blue;

      &:hover {
        color: $red;
      }
    }
  }
  .nav-item .nav-link{
    color: $blue;
    font-weight: bold;
    padding: 5px 15px;
    margin: 0 5px;

    &:hover {
      color: $red;
    }

    &:active {

    }
  }
}
// footer
footer.footer-container {
  position: absolute;
  bottom: 0;
  width: 100%;            /* Footer height */
}
.bg-dark {
  background-color: $blue !important;
}

a {
  color: white;
  padding: 25px 10px;
}

 p .fb:hover {
  color: #000080;
}

p .insta:hover {
  color: #b80000;
}
.brand-link {
  text-decoration: none;
}
p > .brand-link:hover {
  color: $red;
  text-decoration: none;
}
 p > .large  {
  font-size: 20px;
}

/*Medium devices (tablets, 768px and up)*/
@media only screen and (max-width: 600px) {
  div.border-right {
    border-right: none !important;
  }
}

// carousel
// for large screens
// @media only screen and (min-width: 768px) {
//   .carousel-inner > .carousel-item {
//    height: 75vh !important;
// }
// }
.carousel-control-prev-icon,
.carousel-control-next-icon {
  height: 100px;
  width: 100px;
  outline: black;
  background-size: 100%, 100%;
  background-image: none;
}

.carousel-control-next-icon:after
{
  content: '>';
  font-size: 100px;
  color: white;
}

.carousel-control-prev-icon:after {
  content: '<';
  font-size: 100px;
  color: white;
}

.carousel-caption h2 {
  font-size: 20px;
  text-transform: uppercase;
  font-weight: bold;
}
.carousel-caption a {
  background: $red;
  padding: 10px 25px;
  display: inline-block;
  // margin-bottom: 10px;
  color: #fff;
  border-radius: 25px;
}

.carousel-indicators .active {
  background-color: $red;
}
.carousel-indicators li {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  border: 0.5px solid white;
  background: $blue;
}
@media only screen and (min-width: 578px) {
  .carousel-caption {
    padding-bottom: 80px;
  }
  .carousel-caption h2{
    font-size: 30px;
  }
}
@media only screen and (min-width: 768px) {
  .carousel-caption {
    padding-bottom: 100px;
  }
  .carousel-caption h2{
    font-size: 50px;
  }
}
@media only screen and (min-width: 992px) {
    .carousel-caption {
    padding-bottom: 130px;
    }
  .carousel-caption {
    padding-bottom: 100px;
  }
  .carousel-caption h2{
    font-size: 70px;
  }
}
@media only screen and (min-width: 1200px) {
    .carousel-inner > .carousel-item {
    height: 75vh !important;
    }
    .carousel-caption {
    padding-bottom: 130px;
    }
  .carousel-caption {
    padding-bottom: 100px;
  }
  .carousel-caption h2{
    font-size: 70px;
  }
}
.home-img {
  padding: 0;
}

.jumbotron {
  background-color: $light-brown;
  #header-home {
    color: $red;
   }
  }
#para-banner {
  color: $blue;
  font-weight: bold;
}

.paragraph-container {
  border: 3px solid $red;
}
div > p.paragraph-home {
  color: $blue;
  text-align: justify;
  text-indent: 50px;
  padding: 10px 0;
}


//gallery page
#gallery-body {
  background-color: #f5f5f5;
}
#myTab {
  border: none;
  .nav-item .nav-link {
  border: 1px solid $red;
  margin: 2px 2px;
  color: $blue;
  text-transform: uppercase;
  font-size: 12px;
  &:hover {
    color: $red;
    border-color: $blue;
  }
 }
}

// hover effect for images
img.gallery-image{
  transition: all 0.5s ease;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  &:hover{
    transform: scale(1.1);
    -ms-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
  }
}

figure figcaption {
    border: 1px dotted $blue;
    text-align: center;
    text-transform: uppercase;
}

// about page
.profile-widget {
 background-color: #f5f5f5;
  position: relative;
  height: 220px;
  padding: 85px 0 0 0;
  border-radius: 5px;
  margin: 20px 0;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.pi-image {
  position: absolute;
  left: 25%;
  margin-top: -175px;
  margin-bottom: 30px;
  border-radius: 50%;
  border: 10px solid #f5f5f5;
}
// .pi-grow {
//   border-radius: 50%;
  /*border: 0px solid #fc9530;*/


.pi-name {
  text-align: center;
}
.pi-description {
  text-align: justify;
  padding: 0 25px;
}

.pi-grow:hover {
  transform: scale(1.5);
}
.pi-image {
  overflow: hidden;
}
.pi-image img {
  transition: all .5s ease;
}
.pi-image:hover img {
  transform: scale(1.1);
}


// contact us page

/*Contact informations cards*/
i.border-style {
  border: 2px solid $blue;
  padding: 15px 23px;
  border-radius: 50%;
}
div > i.border-style {
  font-size: 50px;
  color: $blue;
}

i.border-style:hover {
  color:white;
  background-color: $blue;
}
.uppercase {
  text-transform: uppercase;
}
.contact-list-content {
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  width: 320px;
  height: 120px;
}
// google map
#google-map{
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
  }
/*contact form*/
textarea {
  resize: none;
}
/*contact header info*/
div.contact-header-container {
  text-align: center;
}
.circle-style {
  display: inline-block;
  margin: 0 5px;
  width: 15px;
  height: 15px;
  background: $blue;
  border-radius: 50%;
}
.current-selected {
  display: inline-block;
  margin: 0 5px;
  width: 15px;
  height: 15px;
  background: $red;
  border-radius: 50%;
}
#first-name, #last-name, #email {
  border: none;
  border-bottom: 2px solid $red;
}
#message {
  border: 2px solid $red;
}


//back to top button
#return-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    
    display: block;
    text-decoration: none;
    -webkit-border-radius: 35px;
    -moz-border-radius: 35px;
    border-radius: 35px;
    display: none;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#return-to-top i {
    color: black;
    margin: 0;
    position: relative;
    left: 16px;
    top: 13px;
    font-size: 19px;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}


